@echo off
echo Now assembling, compiling, and linking your kernel:
nasm -f elf -o stub.o stub.asm
if errorlevel 1 goto error

set FPCOPT=-Aelf -n -XX -CX -O3 -OoREGVAR -OpPENTIUM3 -Sgic -Xd -Rintel -Tlinux
fpc %FPCOPT% kernel.pas
if errorlevel 1 goto error
fpc %FPCOPT% main.pas
if errorlevel 1 goto error

i386-linux-ld -T linker.ld -o fpcos *.o
if errorlevel 1 goto error

cat stage1 stage2 pad fpcos > fpcos.img
if errorlevel 1 goto error

echo Success!
goto end
:error
echo Failed!
:end
rem pause
